Skip to main content
GET
/
clips
/
{videoId}
/
submissions
List submissions
curl --request GET \
  --url https://api.cut.pro/api/v1/clips/{videoId}/submissions \
  --header 'X-Api-Key: <api-key>'
{
  "submissions": [
    {
      "submission_id": "<string>",
      "status": "queued",
      "error_code": "download_failed",
      "estimated_time": 123,
      "queue_position": 123,
      "is_priority": true,
      "strategy_id": "<string>",
      "timeframe": {
        "start": 123,
        "end": 123
      },
      "credit_cost": 123,
      "is_reclip": true,
      "clips_count": 123,
      "created_at": "<string>",
      "completed_at": "<string>"
    }
  ],
  "pagination": {
    "current_page": 123,
    "total_pages": 123,
    "total_count": 123,
    "has_next_page": true,
    "has_previous_page": true,
    "limit": 123
  }
}

Authorizations

X-Api-Key
string
header
required

Path Parameters

videoId
string
required

Query Parameters

page
number

Page number (default: 1)

Required range: x >= 1
limit
number

Items per page (default: 20, max: 100)

Required range: 1 <= x <= 100

Response

Response for status 200

submissions
object[]
required
pagination
object
required
Last modified on April 16, 2026